LibreOffice: DocumentDigitalSignatures Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DocumentDigitalSignatures Service Reference

Service of DocumentDigitalSignatures. More...

Inheritance diagram for DocumentDigitalSignatures:

## Public Member Functions
| createDefault ()
| createWithVersion ([in] string ODFVersion)
| createWithVersionAndValidSignature ([in] string ODFVersion, [in] boolean HasValidDocumentSignature)
Public Member Functions inherited from XDocumentDigitalSignatures
boolean | signDocumentContent ([in] ::com::sun::star::embed::XStorage xStorage, [in] ::com::sun::star::io::XStream xSignStream)
| signs the content of the document including text and pictures.
boolean | signSignatureLine ([in] ::com::sun::star::embed::XStorage xStorage, [in] ::com::sun::star::io::XStream xSignStream, [in] string signatureLineId, [in] ::com::sun::star::security::XCertificate xCertificate, [in] ::com::sun::star::graphic::XGraphic xValidGraphic, [in] ::com::sun::star::graphic::XGraphic xInvalidGraphic, [in] string comment)
| Signs the content of the document including text and pictures using the given XCertificate.
sequence< com::sun::star::security::DocumentSignatureInformation > | verifyDocumentContentSignatures ([in] ::com::sun::star::embed::XStorage xStorage, [in] ::com::sun::star::io::XInputStream xSignInStream)
| checks for digital signatures and their status.
void | showDocumentContentSignatures ([in] ::com::sun::star::embed::XStorage xStorage, [in] ::com::sun::star::io::XInputStream xSignInStream)
| shows the digital signatures of the document content
string | getDocumentContentSignatureDefaultStreamName ()
| allows to get the default stream name for storing of the signature of the document content.
boolean | signScriptingContent ([in] ::com::sun::star::embed::XStorage xStorage, [in] ::com::sun::star::io::XStream xSignStream)
| signs the content of the Scripting including macros and basic dialogs
sequence< com::sun::star::security::DocumentSignatureInformation > | verifyScriptingContentSignatures ([in] ::com::sun::star::embed::XStorage xStorage, [in] ::com::sun::star::io::XInputStream xSignInStream)
| checks for digital signatures and their status.
void | showScriptingContentSignatures ([in] ::com::sun::star::embed::XStorage xStorage, [in] ::com::sun::star::io::XInputStream xSignInStream)
| shows the digital signatures of the scripting content
string | getScriptingContentSignatureDefaultStreamName ()
| allows to get the default stream name for storing of the signature of the scripting content.
boolean | signPackage ([in] ::com::sun::star::embed::XStorage Storage, [in] ::com::sun::star::io::XStream xSignStream)
| signs the full Package, which means everything in the storage except the content of META-INF
sequence< com::sun::star::security::DocumentSignatureInformation > | verifyPackageSignatures ([in] ::com::sun::star::embed::XStorage Storage, [in] ::com::sun::star::io::XInputStream xSignInStream)
| checks for digital signatures and their status.
void | showPackageSignatures ([in] ::com::sun::star::embed::XStorage xStorage, [in] ::com::sun::star::io::XInputStream xSignInStream)
| shows the digital signatures of the package
string | getPackageSignatureDefaultStreamName ()
| allows to get the default stream name for storing of the signature of the package.
void | showCertificate ([in] com::sun::star::security::XCertificate Certificate)
void | manageTrustedSources ()
| manages trusted sources (Authors and paths )
boolean | isAuthorTrusted ([in] com::sun::star::security::XCertificate Author)
boolean | isLocationTrusted ([in] string Location)
void | addAuthorToTrustedSources ([in] com::sun::star::security::XCertificate Author)
void | addLocationToTrustedSources ([in] string Location)
com::sun::star::security::XCertificate | chooseCertificate ([out] string Description)
| This method shows the CertificateChooser dialog, used by document and PDF signing Shows only private certificates.
com::sun::star::security::XCertificate | chooseSigningCertificate ([out] string Description)
| This is an alias for 'chooseCertificate', shows the CertificateChooser dialog with private certificates.
com::sun::star::security::XCertificate | selectSigningCertificate ([out] string Description)
| This shows the certificate selection dialog and allows to only select the certificate without actually signing the document.
com::sun::star::security::XCertificate | selectSigningCertificateWithType ([in] CertificateKind certificateKind, [out] string Description)
| This shows the certificate selection dialog and allows to only select the certificate without actually signing the document.
sequence< com::sun::star::security::XCertificate > | chooseEncryptionCertificate ()
| This method shows the CertificateChooser dialog with all certificates, private and other people's.
com::sun::star::security::XCertificate | chooseCertificateWithProps ([out] sequence<::com::sun::star::beans::PropertyValue > Properties)
| This method shows the CertificateChooser dialog, used by document and PDF signing Shows only private certificates and returns usage string in addition to description.
boolean | signDocumentWithCertificate ([in] ::com::sun::star::security::XCertificate xCertificate, [in] ::com::sun::star::embed::XStorage xStorage, [in] ::com::sun::star::io::XStream xStream)
| Signs the content of the document with the provided certificate.
void | setParentWindow ([in] ::com::sun::star::awt::XWindow xParentWindow)
| Set parent window to use when showing dialogs.
boolean | signScriptingContentWithCertificate ([in] ::com::sun::star::security::XCertificate xCertificate, [in] ::com::sun::star::embed::XStorage xStorage, [in] ::com::sun::star::io::XStream xStream)
| signs the content of the Scripting including macros and basic dialogs with the provided certificate.
boolean | signPackageWithCertificate ([in] ::com::sun::star::security::XCertificate xCertificate, [in] ::com::sun::star::embed::XStorage xStorage, [in] ::com::sun::star::io::XStream xStream)
| signs the full Package, which means everything in the storage except the content of META-INF with the provided certificate.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Service of DocumentDigitalSignatures.

## Member Function Documentation

## ◆ createDefault()

createDefault | ( |  | ) |

## ◆ createWithVersion()

createWithVersion | ( | [in] string | ODFVersion | ) |

Parameters

  ODFVersion | the version of the signature

## ◆ createWithVersionAndValidSignature()

createWithVersionAndValidSignature | ( | [in] string | ODFVersion,
|  | [in] boolean | HasValidDocumentSignature
| ) |  |

Parameters

  ODFVersion | the version of the signature
  HasValidDocumentSignature | indicates if the document already contains a document signature.

The documentation for this service was generated from the following file:

- com/sun/star/security/DocumentDigitalSignatures.idl